Language

Package: libnode @ 18.19.0

Synopsis

Evented I/O for V8 JavaScript

Description

Node.js is a platform built on Chrome's JavaScript runtime for easily building fast, scalable network applications. Node.js uses an event-driven, non-blocking I/O model that makes it lightweight and efficient, perfect for data-intensive real-time applications that run across distributed devices.

Home page
https://nodejs.org/
Location
gnu/packages/node.scm (line: 954, column: 2)
License

Derivations

SystemTargetDerivationBuild status
x86_64-linux/gnu/store/84zii7z9in5zgcn0dv9wcci26n8533q5-libnode-18.19.0.drv
x86_64-linuxx86_64-w64-mingw32/gnu/store/vb1n91zcxnlpdviw8fwq9yq90fjqr4w8-libnode-18.19.0.drv
x86_64-linuxx86_64-linux-gnux32/gnu/store/yqnv1m5caql5xvapgh35rxg46a7nxv9p-libnode-18.19.0.drv
    x86_64-linuxriscv64-linux-gnu/gnu/store/883ng97kw59w4djglgsnxqis3f4x5k72-libnode-18.19.0.drv
    x86_64-linuxpowerpc-linux-gnu/gnu/store/yfbbh9cj4g8w5amm3ja1wl3iaanpmbbg-libnode-18.19.0.drv
    x86_64-linuxpowerpc64-linux-gnu/gnu/store/2ni83zjg9zc7b2ii0fbfgrx59xgwyw61-libnode-18.19.0.drv
    x86_64-linuxpowerpc64le-linux-gnu/gnu/store/z9c32nkc55wmg9vksac426bi71ybvfb8-libnode-18.19.0.drv
    x86_64-linuxmips64el-linux-gnu/gnu/store/mzknnsdi38dg74srv66icfnnsl2np2jj-libnode-18.19.0.drv
    x86_64-linuxi686-w64-mingw32/gnu/store/3yxfxr7zjf2is4n292a3lyiwhz3yjsp3-libnode-18.19.0.drv
    x86_64-linuxi586-pc-gnu/gnu/store/16lv753p84l1j113gdnx1ya0rfxspr6a-libnode-18.19.0.drv
    x86_64-linuxarm-linux-gnueabihf/gnu/store/9l08cw9qdncpxjnmk1vz7ws6x42wr0ii-libnode-18.19.0.drv
    x86_64-linuxaarch64-linux-gnu/gnu/store/4a83njdk9z1llywp20h3sr17fd0ynvdg-libnode-18.19.0.drv
    riscv64-linux/gnu/store/plj1x4267g833fny5309hyfnvfbnragb-libnode-18.19.0.drv
    powerpc-linux/gnu/store/1m0ga83dja7x80ngi2f8w2wy4ildcxw8-libnode-18.19.0.drv
      powerpc64le-linux/gnu/store/7v8wq1396ifabbszdm3jgnaraclrcxfs-libnode-18.19.0.drv
      mips64el-linux/gnu/store/7i2dxkr2xdj9chw9rwf119h1l555b6mg-libnode-18.19.0.drv
        i686-linux/gnu/store/si2wlyx45y0bbjj8cj1ywcb838jn4wnh-libnode-18.19.0.drv
        i586-gnu/gnu/store/58fvf0v569xfp17pqrs7k0h0x2f4x7ia-libnode-18.19.0.drv
        armhf-linux/gnu/store/8hb4mnldvbc9s5ymcwampg1xi6rx4vkl-libnode-18.19.0.drv
        aarch64-linux/gnu/store/3mgdypkb3qcwvza4w3g2i8w06vgdbaw8-libnode-18.19.0.drv

        Lint warnings

        LinterMessageLocation
        input-labels

        Identify input labels that do not match package names

        label 'nghttp2' does not match package name 'nghttp2:lib'